+ Responder ao Tópico



  1. #1
    guardian_metal
    Visitante

    Padrão Atualizar Apache

    Uso o apache 2.0.45 e ele foi compilado pra ser usado com o php e quero atualizar o apache pra versão 2.0.50.. cmo eu faço isso sem perder as configurações que ja estão feitas pois ele roda direito e sem problemas..

  2. #2

    Padrão Atualizar Apache

    faca um backup dos seus arquivos e compile a nova versao exatamente como vc fez com a outra..... como foi compilado pelo fonte num existe uma maneira simples de atualizacao, vc vai ter q recompilar tudo



  3. #3
    slice
    Visitante

    Padrão upgrade apache

    Fiz o update do apache ontem para o 2.0.50 e ele não aceitou o httpd.conf do apache 2.0.49 (isso não havia acontecido nas versões anteriores que eu havia compilado) tive que reconfigurar o httpd.conf de novo, provavelmente mudou alguma coisa nele...
    os passos que segui foram o seguinte:

    /etc/rc.d/rc.httpd stop
    cd /usr/local
    mv apache2 apache2.old #caso alguma coisa saia errado vc nao perde o seu 2.0.45
    cd /tmp/httpd-2.0.50
    ./configure #veja os flags que vc vai precisar ativar com ./configure --help
    make
    make install

    cp /usr/local/apache2.old/modules/libphp4.so /usr/local/apache2/modules/
    cd /usr/local/apache2/conf
    mv httpd.conf httpd.conf.bkp
    cp /usr/local/apache2.old/conf/httpd.conf /usr/local/apache2/conf/
    /etc/rc.d/rc.httpd start #Foi aqui que o apache nao inicializava... voltei o httpd.conf original do 2.0.50 e configurei ele do zero...
    cp httpd.conf.bkp httpd.conf
    vi httpd.conf #Sete as configurações do teu server
    /etc/rc.d/rc.httpd start

    Ai funcionou beleza...

    Teste ele por alguns dias. Qdo vc considerar ele estável vc deleta os diretorios da compilação do apache 2.0.45.

    Boa sorte!

    Slice